.TH "QUASSEL" "1" "0.13.1" "Quassel IRC Team, Internet." ""
.SH "NAME" 
quassel \(em a modern, cross-platform and distributed IRC client
.SH "SYNPOSIS"
\fBquassel\fR [\fIOPTION\fR]...
.
.SH "DESCRIPTION"
.B Quassel IRC
is a modern, cross-platform, distributed IRC client, meaning that one
(or multiple) client(s) can attach to and detach from a central core -- much
like the popular combination of screen and a text-based IRC client such as
WeeChat, but graphical.
.PP
\fBquassel\fR provides a standalone IRC client experience, integrating the core
and client into a single program. To connect to and manage a running
\fBquasselcore\fR, use the \fBquasselclient\fR client program.
.
.SH "COMMON OPTIONS"
.TP
\fB\-c\fR, \fB\-\-configdir\fR=\fICONFIGDIR\fR
Specify the directory holding the configuration files, the SQLite database with
chat logs, and the SSL/TLS certificate.
.TP
\fB\-d\fR, \fB\-\-debug\fR
Enable extra debugging output.
.TP
\fB\-h\fR, \fB\-\-help\fR
Show help message.
.TP
\fB\-L\fR, \fB\-\-loglevel\fR=\fILOGLEVEL\fR
Set the logging level to LOGLEVEL: Debug, Info, Warning, Error. Default is:
Info
.TP
\fB\-l\fR, \fB\-\-logfile\fR=\fILOGFILE\fR
Log to a file.
.TP
\fB\-\-syslog\fR
Log to syslog.
.TP
\fB\-v\fR, \fB\-\-version\fR
Display version information.
.
.SH "CLIENT OPTIONS"
.TP
\fB\-\-debugbufferswitches\fR
Enables debugging for bufferswitches.
.TP
\fB\-\-debugmodel\fR
Enables debugging for models.
.TP
\fB\-\-hidewindow\fR
Start the client minimized to the system tray.
.TP
\fB\-\-icontheme\fR=\fITHEME\fR
Override the system icon theme. 'breeze' is recommended. This may also be
configured in the client settings.
.TP
\fB\-\-qss\fR=\fIQSS\fR
Load a custom application stylesheet.
.
.SH "INTERNAL CORE OPTIONS"
.B NOTE:
These options should not need modified in most cases. Running a separate
\fBquasselcore\fR is the recommended way to allow multiple clients to connect
to a core.
.
.TP
\fB\-\-add\-user\fR
Starts an interactive session to add a new core user
.TP
\fB\-\-change\-userpass\fR=\fIUSERNAME\fR
Starts an interactive session to change the password of the user identified by
USERNAME.
.TP
\fB\-\-config\-from\-environment\fR
Load configuration from environment variables, ignoring the configuration file.
See the section on \fBENVIRONMENT VARIABLES\fR.
.TP
\fB\-\-debug-irc\fR
Enable logging of all raw IRC messages to debug log, \fBincluding passwords!\fR
In most cases you should also set \fB--loglevel Debug\fR.
.TP
\fB\-\-debug\-irc\-id\fR=\fIDATABASENETWORKID\fR
Limit raw IRC logging to this network ID. Implies \fB\-\-debug-irc\fR.
.TP
\fB\-\-ident\-daemon\fR
Enable internal ident daemon.
.TP
\fB\-\-ident\-listen\fR=\fIIDENTLISTEN\fR
The address(es) quasselcore will listen on for ident requests. Same format as
\fB\-\-listen\fR. Only meaningful with \fB\-\-ident\-daemon\fR. Default is:
::1,127.0.0.1 (only localhost)
.TP
\fB\-\-ident\-port\fR=\fIIDENTPORT\fR
The port the quasselcore will listen at for ident requests. Only meaningful
with \fB\-\-ident\-daemon\fR. Default is: 10113
.TP
\fB\-\-listen\fR=\fILISTEN\fR
The address(es) quasselcore will listen on when \fB\-\-port\fR is specified.
Default is: ::,0.0.0.0 (all addresses)
.TP
\fB\-n\fR, \fB\-\-norestore\fR
Don't restore last core's state, such as previously connected networks.
.TP
\fB\-\-oidentd\fR
Enable oidentd integration. In most cases you should also enable
\fB\-\-strict-ident\fR.
.TP
\fB\-\-oidentd\-conffile\fR=\fIOIDENTCONF\fR
Set path to oidentd configuration file.
.TP
\fB\-p\fR, \fB\-\-port\fR=\fIPORT\fR
The port the internal quasselcore will listen at. If not specified, the
internal core will not accept connections from other clients.
.TP
\fB\-\-require\-ssl\fR
Require SSL for remote (non-loopback) client connections.
.TP
\fB\-\-select\-authenticator\fR=\fIAUTHENTICATOR\fR
Starts an interactive session to switch your current user authentication
backend to the new one.
.TP
\fB\-\-select\-backend\fR=\fIBACKEND\fR
Starts an interactive session to switch your current storage backend to the new
one. Attempts a merge if the new backend is uninitialized and the old backend
supports migration, otherwise prompts for new user credentials.
.TP
\fB\-\-ssl\-cert\fR=\fISSLCERTFILE\fR
Specify the path to the SSL certificate. Reloaded when quasselcore is sent a
SIGHUP. Default is: CONFIGDIR/quasselCert.pem
.TP
\fB\-\-ssl\-key\fR=\fISSLKEYFILE\fR
Specify the path to the SSL key. Reloaded when quasselcore is sent a SIGHUP.
Only needed if not combined with the SSL certificate.
.TP
\fB\-\-strict\-ident\fR
Use users' quasselcore username as ident reply. Ignores each user's configured
ident setting.  Useful for multi-user quasselcores connecting to IRC networks
that require a fixed identifier for each user.
.
.SH "ENVIRONMENT"
When \fB\-\-config\-from\-environment\fR is specified, the quasselcore will use
the following environment variables instead of the configuration file. This may
be useful for container setups or automated deployment.
.
.TP
\fBAUTH_AUTHENTICATOR\fR
Specifies the selected user authentication backend. See
\fB\-\-select\-authenticator\fR.
.TP
\fBAUTH_LDAP_BASE_DN\fR
Specifies the LDAP authenticator base DN.
.TP
\fBAUTH_LDAP_BIND_DN\fR
Specifies the LDAP authenticator bind DN.
.TP
\fBAUTH_LDAP_BIND_PASSWORD\fR
Specifies the LDAP authenticator bind password.
.TP
\fBAUTH_LDAP_FILTER\fR
Specifies the LDAP authenticator filter.
.TP
\fBAUTH_LDAP_HOSTNAME\fR
Specifies the LDAP authenticator connection hostname.
.TP
\fBAUTH_LDAP_PORT\fR
Specifies the LDAP authenticator connection port.
.TP
\fBAUTH_LDAP_UID_ATTRIBUTE\fR
Specifies the LDAP authenticator UID attribute.
.TP
\fBDB_BACKEND\fR
Specifies the selected database backend. See \fB\-\-select\-backend\fR.
.TP
\fBDB_PGSQL_DATABASE\fR
Specifies the Postgres connection database name.
.TP
\fBDB_PGSQL_HOSTNAME\fR
Specifies the Postgres connection hostname.
.TP
\fBDB_PGSQL_USERNAME\fR
Specifies the Postgres connection username.
.TP
\fBDB_PGSQL_PASSWORD\fR
Specifies the Postgres connection user password.
.TP
\fBDB_PGSQL_PORT\fR
Specifies the Postgres connection port.
.
.SH FILES
.
.TP
\fI$HOME/.config/quassel-irc.org\fR
Configuration files, SQLite database with chat logs, and the SSL/TLS
certificate. To override, see \fB\-\-configdir\fR.
.
.SH AUTHORS
The full list of Quassel IRC authors and contributors may be seen in the
client's About window.
.PP
This manual page was written by Thomas Mueller
<thomas.mueller@tmit.eu> and updated by Shane Synan
<digitalcircuit36939+deb@gmail.com>, for the Debian GNU/Linux
system (but may be used by others).  Permission is 
granted to copy, distribute and/or modify this document under 
the terms of the GNU General Public License 
version 2 or any later version published by the Free Software Foundation.
